# Class PRS_ExchangeElement
extends CIM_ManagedElement

PRS_ExchangeElement is an abstract base class for all classes in the Solution and Service Incident object model. As an abstract class it is never instantiated. PRS_ExchangeElement exists to provide a single anchor point for associations that may be made to any Solution or Service Incident object. For example, Administrative or Attachment instances may be associated with any object derived from PRS_ExchangeElement. To support this generic association capability, the PRS_AdminAssociation and PRS_Attached associations both derive from the CIM_Dependency association and override the Antecedent property of that class to be a PRS_ExchangeElement REF.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement

## Direct Known Subclasses

PRS_Activity
PRS_Address
PRS_Administrative
PRS_Agreement
PRS_Attachment
PRS_Category
PRS_Contact
PRS_ContactItem
PRS_ExpressionElement
PRS_Feature
PRS_Location
PRS_Resource
PRS_Revision
PRS_ServiceIncident
PRS_Solution
PRS_SolutionElement
PRS_Transaction

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true

Description

string

PRS_ExchangeElement is an abstract base class for all classes in the Solution and Service Incident object model. As an abstract class it is never instantiated. PRS_ExchangeElement exists to provide a single anchor point for associations that may be made to any Solution or Service Incident object. For example, Administrative or Attachment instances may be associated with any object derived from PRS_ExchangeElement. To support this generic association capability, the PRS_AdminAssociation and PRS_Attached associations both derive from the CIM_Dependency association and override the Antecedent property of that class to be a PRS_ExchangeElement REF.

UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DirtyFlag | uint8 |

Description

string

The DirtyFlag is used by the SISService Start Transaction method to determine whether an ExchangeElement has been created, modified or deleted since the last Transaction. Any object not marked 'Clean' is included in the next Transaction. It is the responsibility of the entity creating, modifying or deleting the object derived from ExchangeElement to set this property appropriately. This property value is set to 'Clean' by an invocation of the Transaction Complete method with a Status parameter of zero (0).

ValueMap | string | 0, 1, 2, 3
Values | string | Clean, New, Modified, Deleted
PRSUniqueName | string |
Description | string | The PRSUniqueName property is a Globally Unique IDentifier (GUID) also known as a Universally Unique IDentifier (UUID). This property allows Solution and Service Incident objects to be used by multiple Solutions or Service Incidents without duplication. In addition, all Solution or Service Incidents containing a unique object are updated when the object is updated.
Key | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods